
var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function embThemeCount()
{
// Check window title for a theme count
// Done first because it's a quick way to see if this handler has already been executed
   var oldTitle = document.getElementById("extensionsManager").getAttribute("title");
   var countPos = oldTitle.indexOf("[");

   if (countPos != -1) return;

// Change window title to include number of extensions

   try {
      var extCount = (gPref.getIntPref("extensions.embuttons.count.theme"));
   } catch(e){
      var extCount = e;
   }

// Append the theme count to the window title
   document.getElementById("extensionsManager").setAttribute("title",oldTitle + " [" + extCount + "]");
}

